Upload file
Files
Upload file
Upload a file directly to sajn storage.
Important: This endpoint uses https://upload.sajn.se as the base URL, not https://app.sajn.se.
File Requirements:
- Maximum size: 100 MB
- Allowed types: PDF, DOC, DOCX, XLS, XLSX, PPT, PPTX, MP4, MOV, AVI, WEBM, JPG, PNG, GIF, WEBP, SVG
Visibility:
PRIVATE(default): Files require signed URLs for access (60 min expiry)PUBLIC: Files are accessible via direct CloudFront URL
Example Upload:
# Private file (default)
curl -X PUT https://upload.sajn.se/api/v1/putFile \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@/path/to/document.pdf"
# Public file
curl -X PUT https://upload.sajn.se/api/v1/putFile \
-H "Authorization: Bearer YOUR_API_KEY" \
-F "file=@/path/to/image.png" \
-F "visibility=PUBLIC"
PUT
Upload file
Documentation Index
Fetch the complete documentation index at: https://docs.sajn.se/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Bearer token for API authentication
Body
multipart/form-data
Multipart form data with file and optional visibility

